#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.1.0.0
visibility:           public
id:                   hls-refactor-plugin-1.1.0.0-AklAduNo6Go3CK1B1ppG9Z
key:                  hls-refactor-plugin-1.1.0.0-AklAduNo6Go3CK1B1ppG9Z
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  8d22f40a5bdf1df851cc255f33f37c1b
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.1.0.0-AklAduNo6Go3CK1B1ppG9Z
depends:
    aeson-2.1.2.1-JfeHvfgWyvGEUkRmM0msk9 base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-5ZDwKrRtuQLAGjVA8Z3KJ8 deepseq-1.4.6.1
    dlist-1.0-3rGIivWoX8r4FDcy8caTmI
    extra-1.7.15-D0L0oAS7xGa5EyBG4sDkrp ghc-9.2.8 ghc-boot-9.2.8
    ghc-exactprint-1.5.0-7YHpyyyS4lZ3GKVS1GUQI2
    ghcide-1.9.1.0-HNVdvE12VVF2gRsMGGyufa
    hls-graph-1.9.0.0-DGMFOQXEprfCL1qbURgkbr
    hls-plugin-api-1.6.0.0-BWipTvMVPkJIpRcob3QQXV
    lens-5.2.3-HVLgCuprAPTGajOsZQkVu9
    lsp-1.6.0.0-2msGTq9KlMrDltHEVWOPgd mtl-2.2.2
    regex-tdfa-1.3.2.2-FFmB5WqnO0M8MI6OxJVmIS
    retrie-1.2.2-KaCxd5tjYch6EQxee6qJwN
    syb-0.7.2.4-IT59ozboet0H3NdhoNJGts text-1.2.5.0
    text-rope-0.2-1l7IlzUvSolLJV5cynx92t time-1.11.1.1
    transformers-0.5.6.2
    unordered-containers-0.2.20-Hx67rce3cSdLKcnqodh5s4

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

